unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, activexcontainer, Forms, Controls, Graphics,
  Dialogs, StdCtrls, SHDocVw_1_1_TLB;

type

  { TForm1 }

  TForm1 = class(TForm)
    ActiveXContainer1: TActiveXContainer;
    Button1: TButton;
    Edit1: TEdit;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    procedure OnStatusTextChange(Sender: TObject; Text_: WideString);
  public
    { public declarations }
  end;

var
  Form1: TForm1;
  Browser: TEvsWebBrowser;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
var
  url,onull:Olevariant;

begin
  url:=Utf8decode(Edit1.Text);
  onull:=NULL;
  Browser.ComServer.Navigate2(url,onull,onull,onull,onull);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Browser:=TEvsWebBrowser.Create(Self);
  ActiveXContainer1.ComServer:=Browser.ComServer;
  ActiveXContainer1.Active:=true;
  Browser.OnStatusTextChange:=@OnStatusTextChange;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  Browser.Free;
end;

procedure TForm1.OnStatusTextChange(Sender: TObject; Text_: WideString);
begin
  Label1.Caption:='Browser: '+UTF8Encode(Text_);
end;

end.

